Subject: RE: [MMUSIC] Opsdir last call review of draft-ietf-mmusic-rfc4566bis-34

From: wangzitao <[email-masked]>
Date: Thu, 11 Apr 2019 07:29:04 +0000

Thank you for updating. It make sense to me.

Best Regards!
-Michael 

-----邮件原件-----
发件人: Paul Kyzivat [mailto:[email-masked]] 
发送时间: 2019年4月11日 4:25
收件人: wangzitao <[email-masked]>; [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]
主题: Re: [MMUSIC] Opsdir last call review of draft-ietf-mmusic-rfc4566bis-34

Please see inline.

On 4/9/19 11:03 PM, wangzitao wrote:
> Hi Paul,
> 
> Please find my comments at [MW].
> 
> B.R.
> -Michael
> 
> -----邮件原件-----
> 发件人: Paul Kyzivat [mailto:[email-masked]]
> 发送时间: 2019年4月10日 1:11
> 收件人: wangzitao <[email-masked]>; [email-masked]
> 抄送: [email-masked]; [email-masked]; 
> [email-masked]
> 主题: Re: [MMUSIC] Opsdir last call review of 
> draft-ietf-mmusic-rfc4566bis-34
> 
> Thank you for the comments. I have some questions:
> 
> On 4/8/19 2:37 AM, Zitao Wang via Datatracker wrote:
>> Reviewer: Zitao Wang
>> Review result: Has Issues
>>
>> Summary:    This memo defines the Session Description Protocol (SDP).  SDP is
>> intended for describing multimedia sessions for the purposes of 
>> session announcement, session invitation, and other forms of 
>> multimedia session initiation.  This document obsoletes RFC 4566. I 
>> think the document make sense and is written very clear, except some small nits:
> 
> 
>> # In Section 5, there are
>> several terms that miss references, such as "US-ASCII subset of 
>> UTF-8",  "ASN.1 or XDR", etc.
> 
> There is already a reference to the definition of UTF-8 [RFC3629] in section 4.5. Do you think the reference needs to be included with every use? The US-ASCII subset of UTF-8 is also defined in RFC3629, so I am inclined to use the same reference for that. There are also a couple of uses of US-ASCII without mention of UTF-8. I'm inclined to change those to "the US-ASCII subset of UTF-8".

I changed the naked uses of US-ASCII to reference the US-ASCII subset of UTF-8. I also added another reference to RFC3629 to the *first* use of "US-ASCII subset of UTF-8". I haven't added references to other places with the same usage.

> Regarding ASN.1 and XDR, I can add references if you think it important.
> But their use is very peripheral, and it isn't necessary to know what they are to read the text.
> [MW]: I am OK if it is not commonly used.
> 
> # s/session- specific/session-specific/
> 
> Regarding "session- specific" vs. "session-specific":
> 
> The context for this is:
> 
> "Attribute scopes in addition to media- and session- specific may also..."
> 
> The space was intentional so that there are equivalent constructions for "media" and "session". The intent is as a shorthand for:
> 
> "Attribute scopes in addition to media-specific and session-specific may also..."
> 
> To avoid confusion I think I'll just change to the latter.
> [MW]: I agree.

Done.

> # Suggest to add tags on
>> "overview optional items" to identified now-obsolete items, such as 
>> "a=cat", "a=keywds", "k=".
> 
> I'm not clear what you want me to do.
> 
> I guess you are suggesting adding something to the first figure in section 5.
> [MW]: Yes, IMO, adding some tag/description to the figure is better.
> 
> I don't see how that would be possible for a=cat and a=keywds, since the figure doesn't mention individual attributes.
> [MW]: Agree. For a=cat and a=keywds, it is difficult to show on the figure.
> 
> While it is possible to add something for k=, IMO it is better to leave that level of detail to the complete description in section 5.12.
> [MW]: Maybe it can be updated as following:
> 
>        Before :
>         k=* (encryption key)
>        After:
>         k=* (encryption key, this line is obsoleted)

I changed these to

           k=* (obsolete)

I have these changes in my working copy for inclusion the next time I submit a revision.

	Thanks,
	Paul